Ptex

Public Member Functions | Public Attributes | List of all members
FaceDataHeader Struct Reference

`#include <PtexIO.h>`

## Public Member Functions
uint32_t | blocksize () const
Encoding | encoding () const
uint32_t & | val ()
const uint32_t & | val () const
void | set (uint32_t blocksizeArg, Encoding encodingArg)
| FaceDataHeader ()

## Public Attributes
uint32_t | data

## Detailed Description

Definition at line 82 of file PtexIO.h.

## Constructor & Destructor Documentation

## ◆ FaceDataHeader()

FaceDataHeader::FaceDataHeader | ( |  | ) |
| inline

Definition at line 90 of file PtexIO.h.

## Member Function Documentation

## ◆ blocksize()

uint32_t FaceDataHeader::blocksize | ( |  | ) | const
| inline

Definition at line 84 of file PtexIO.h.

References data.

Referenced by PtexReader::computeOffsets(), PtexReader::readFaceData(), PtexIncrWriter::writeFace(), and PtexWriterBase::writeFaceData().

## ◆ encoding()

Encoding FaceDataHeader::encoding | ( |  | ) | const
| inline

Definition at line 85 of file PtexIO.h.

References data.

Referenced by PtexReader::readFaceData().

## ◆ set()

void FaceDataHeader::set | ( | uint32_t | blocksizeArg,
|  | Encoding | encodingArg
| ) |  |
| inline

Definition at line 88 of file PtexIO.h.

References data.

Referenced by PtexIncrWriter::writeConstantFace(), PtexWriterBase::writeConstFaceBlock(), PtexWriterBase::writeFaceBlock(), and PtexWriterBase::writeFaceData().

## ◆ val() [1/2]

uint32_t & FaceDataHeader::val | ( |  | ) |
| inline

Definition at line 86 of file PtexIO.h.

## ◆ val() [2/2]

const uint32_t & FaceDataHeader::val | ( |  | ) | const
| inline

Definition at line 87 of file PtexIO.h.

## Member Data Documentation

## ◆ data

uint32_t FaceDataHeader::data

Definition at line 83 of file PtexIO.h.

Referenced by blocksize(), encoding(), and set().

The documentation for this struct was generated from the following file:

- PtexIO.h